


if version < 600
  syntax clear
elseif exists("b:current_syntax")
  finish
endif

syn match   configdelimiter "[()\[\];,]"
syn match   configoperator  "[=|&\*\+\<\>]"
syn match   configcomment   "\(dnl.*\)\|\(#.*\)"
syn match   configfunction  "\<[A-Z_][A-Z0-9_]*\>"
syn match   confignumber    "[-+]\=\<\d\+\(\.\d*\)\=\>"
syn keyword configkeyword   if then else fi test for in do done
syn keyword configspecial   cat rm eval
syn region  configstring    start=+"+ skip=+\\"+ end=+"+
syn region  configstring    start=+`+ skip=+\\'+ end=+'+
syn region  configstring    start=+`+ skip=+\\'+ end=+`+

if version >= 508 || !exists("did_config_syntax_inits")
  if version < 508
    let did_config_syntax_inits = 1
    command -nargs=+ HiLink hi link <args>
  else
    command -nargs=+ HiLink hi def link <args>
  endif

  HiLink configdelimiter Delimiter
  HiLink configoperator  Operator
  HiLink configcomment   Comment
  HiLink configfunction  Function
  HiLink confignumber    Number
  HiLink configkeyword   Keyword
  HiLink configspecial   Special
  HiLink configstring    String

  delcommand HiLink
endif

let b:current_syntax = "config"

