

if version < 600
  syntax clear
elseif exists("b:current_syntax")
  finish
endif

syn case ignore

syn match  dosiniLabel		"^.\{-}="
syn region dosiniHeader		start="^\[" end="\]"
syn match  dosiniComment	"^;.*$"

if version >= 508 || !exists("did_dosini_syntax_inits")
  if version < 508
    let did_dosini_syntax_inits = 1
    command -nargs=+ HiLink hi link <args>
  else
    command -nargs=+ HiLink hi def link <args>
  endif

	HiLink dosiniHeader	Special
	HiLink dosiniComment	Comment
	HiLink dosiniLabel	Type

  delcommand HiLink
endif

let b:current_syntax = "dosini"

