

if version < 600
  syntax clear
elseif exists("b:current_syntax")
  finish
endif

syn region svnRegion    start="^--.*--$" end="\%$" contains=ALL
syn match svnRemoved    "^D    .*$" contained
syn match svnAdded      "^A[ M]   .*$" contained
syn match svnModified   "^M[ M]   .*$" contained
syn match svnProperty   "^_M   .*$" contained

syn sync clear
syn sync match svnSync  grouphere svnRegion "^--.*--$"me=s-1

if version >= 508 || !exists("did_svn_syn_inits")
  if version <= 508
    let did_svn_syn_inits = 1
    command -nargs=+ HiLink hi link <args>
  else
    command -nargs=+ HiLink hi def link <args>
  endif

  HiLink svnRegion      Comment
  HiLink svnRemoved     Constant
  HiLink svnAdded       Identifier
  HiLink svnModified    Special
  HiLink svnProperty    Special

  delcommand HiLink
endif

let b:current_syntax = "svn"
