

if version < 600
  syntax clear
elseif exists("b:current_syntax")
  finish
endif

syn case ignore

syn match  apComment	/^\s*#.*$/
syn match  apOption	/^\s*[^ \t#<=]*/

syn region apTag	start=/</ end=/>/ contains=apTagOption,apTagError
syn match  apTagOption	contained / [-\/_\.:*a-zA-Z0-9]\+/ms=s+1
syn match  apTagError	contained /[^>]</ms=s+1

if version >= 508 || !exists("did_apachestyle_syn_inits")
  if version < 508
    let did_apachestyle_syn_inits = 1
    command -nargs=+ HiLink hi link <args>
  else
    command -nargs=+ HiLink hi def link <args>
  endif

  HiLink apComment	Comment
  HiLink apOption	Keyword
  "HiLink apLastValue	Identifier		ugly?
  HiLink apTag		Special
  HiLink apTagOption	Identifier
  HiLink apTagError	Error

  delcommand HiLink
endif

let b:current_syntax = "apachestyle"
