
if version < 600
	syntax clear
elseif exists("b:current_syntax")
	finish
endif

syn region cvsLine start="^CVS: " end="$" contains=cvsFile,cvsCom,cvsFiles,cvsTag
syn match cvsFile  contained " \t\(\(\S\+\) \)\+"
syn match cvsTag   contained " Tag:"
syn match cvsFiles contained "\(Added\|Modified\|Removed\) Files:"
syn region cvsCom start="Committing in" end="$" contains=cvsDir contained extend keepend
syn match cvsDir   contained "\S\+$"

if version >= 508 || !exists("did_cvs_syn_inits")
	if version < 508
		let did_cvs_syn_inits = 1
		command -nargs=+ HiLink hi link <args>
	else
		command -nargs=+ HiLink hi def link <args>
	endif

	HiLink cvsLine		Comment
	HiLink cvsDir		cvsFile
	HiLink cvsFile		Constant
	HiLink cvsFiles		cvsCom
	HiLink cvsTag		cvsCom
	HiLink cvsCom		Statement

	delcommand HiLink
endif

let b:current_syntax = "cvs"
