
if version < 600
   syntax clear
elseif exists("b:current_syntax")
   finish
endif

if version < 600
   so <sfile>:p:h/cpp.vim
   so <sflie>:p:h/objc.vim
else
   runtime! syntax/cpp.vim
   unlet b:current_syntax
   runtime! syntax/objc.vim
endif

syn region objCFunc start="^\s*[-+]"  end="$"  contains=ALLBUT,cErrInParen,cErrInBracket

syn keyword objCppNonStructure    class template namespace transparent contained
syn keyword objCppNonStatement    new delete friend using transparent contained

let b:current_syntax = "objcpp"
