

if version < 600
  syn clear
elseif exists("b:current_syntax")
  finish
endif


syn region wdiffOld start=+\[-+ end=+-]+
syn region wdiffNew start="{+" end="+}"


if version >= 508 || !exists("did_wdiff_syn_inits")
  let did_wdiff_syn_inits = 1
  if version < 508
    let did_wdiff_syn_inits = 1
    command -nargs=+ HiLink hi link <args>
  else
    command -nargs=+ HiLink hi def link <args>
  endif

  HiLink wdiffOld       Special
  HiLink wdiffNew       Identifier

  delcommand HiLink
endif

let b:current_syntax = "wdiff"
